summaryrefslogtreecommitdiffstats
path: root/src/main/scripts/common_functions.sh
diff options
context:
space:
mode:
authorLaMont, William(wl2432) <wl2432@att.com>2020-02-28 16:48:41 -0500
committerLaMont, William(wl2432) <wl2432@att.com>2020-03-03 18:10:37 -0500
commit9b65b7126bc77c18c196ed2b6e625a5a864c98dc (patch)
tree7e0dd55538ad2af20c414369f628134e9f3191ae /src/main/scripts/common_functions.sh
parent30282f9e3f6ab0ed9599f5bb2e2c743cbd099089 (diff)
support for v17 through v19
Issue-ID: AAI-2751 Change-Id: I75c9b2057065e1374f25e2b6b12de0a8003ac781 Signed-off-by: LaMont, William(wl2432) <wl2432@att.com>
Diffstat (limited to 'src/main/scripts/common_functions.sh')
-rw-r--r--src/main/scripts/common_functions.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/src/main/scripts/common_functions.sh b/src/main/scripts/common_functions.sh
index 55fb516..f279334 100644
--- a/src/main/scripts/common_functions.sh
+++ b/src/main/scripts/common_functions.sh
@@ -41,7 +41,7 @@ execute_spring_jar(){
export SOURCE_NAME=$(grep '^schema.source.name=' ${PROJECT_HOME}/resources/application.properties | cut -d"=" -f2-);
# Needed for the schema ingest library beans
- eval $(grep '^schema\.' ${PROJECT_HOME}/resources/application.properties | \
+ eval $(egrep '^(schema|server|history)\.' ${PROJECT_HOME}/resources/application.properties | \
sed 's/^\(.*\)$/JAVA_OPTS="$JAVA_OPTS -D\1"/g' | \
sed 's/${server.local.startpath}/${PROJECT_HOME}\/resources/g'| \
sed 's/${schema.source.name}/'${SOURCE_NAME}'/g'\
@@ -49,7 +49,7 @@ execute_spring_jar(){
JAVA_OPTS="${JAVA_OPTS} ${JAVA_POST_OPTS}";
- ${JAVA_HOME}/bin/java ${JVM_OPTS} ${JAVA_OPTS} -jar ${EXECUTABLE_JAR} "$@" || {
+ "${JAVA_HOME}/bin/java" ${JVM_OPTS} ${JAVA_OPTS} -jar ${EXECUTABLE_JAR} "$@" || {
echo "Failed to run the tool $0 successfully";
exit 1;
}